Debian Bug report logs - #474448
fvwm-crystal: recommends packages not in main

version graph

Package: fvwm-crystal; Maintainer for fvwm-crystal is Vincent Bernat <bernat@debian.org>; Source for fvwm-crystal is src:fvwm-crystal.

Reported by: Amaya <amaya@debian.org>

Date: Sat, 5 Apr 2008 18:18:01 UTC

Severity: important

Tags: patch

Found in version fvwm-crystal/3.0.3.dfsg1-0.1

Fixed in version fvwm-crystal/3.0.5.dfsg-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stilkerich <ms@mike2k.de>:
Bug#474448; Package fvwm-crystal. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Stilkerich <ms@mike2k.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: fvwm-crystal: recommends packages not in main
Date: Sat, 5 Apr 2008 20:19:28 +0200
[Message part 1 (text/plain, inline)]
Package: fvwm-crystal
Version: 3.0.3.dfsg1-0.1
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

fvwm-crystal recommends xmms-find, xmms-shell and xmms itself, no longer
available in unstable.

This bug is RC, hence the severity, according to the following Release Goal for
Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Attached is the a patch with a suggestion on how to fix this bug, but of
course, as the package maintainer you might know better.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ยท''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[fvwm-crystal-3.0.3.dfsg1-1.diff (text/x-diff, attachment)]

Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 474448-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 474448-close@bugs.debian.org
Subject: Bug#474448: fixed in fvwm-crystal 3.0.5.dfsg-1
Date: Sat, 21 Jun 2008 21:02:12 +0000
Source: fvwm-crystal
Source-Version: 3.0.5.dfsg-1

We believe that the bug you reported is fixed in the latest version of
fvwm-crystal, which is due to be installed in the Debian FTP archive:

fvwm-crystal_3.0.5.dfsg-1.diff.gz
  to pool/main/f/fvwm-crystal/fvwm-crystal_3.0.5.dfsg-1.diff.gz
fvwm-crystal_3.0.5.dfsg-1.dsc
  to pool/main/f/fvwm-crystal/fvwm-crystal_3.0.5.dfsg-1.dsc
fvwm-crystal_3.0.5.dfsg-1_all.deb
  to pool/main/f/fvwm-crystal/fvwm-crystal_3.0.5.dfsg-1_all.deb
fvwm-crystal_3.0.5.dfsg.orig.tar.gz
  to pool/main/f/fvwm-crystal/fvwm-crystal_3.0.5.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated fvwm-crystal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jun 2008 21:49:06 +0200
Source: fvwm-crystal
Binary: fvwm-crystal
Architecture: source all
Version: 3.0.5.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Bernat <bernat@debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 fvwm-crystal - Pretty Desktop Environment based on fvwm
Closes: 374311 375205 383413 386462 399836 401822 429855 431368 468394 468644 474448
Changes: 
 fvwm-crystal (3.0.5.dfsg-1) unstable; urgency=low
 .
   * New upstream release (Closes: #431368)
      + drop 02debianmenu.dpatch which has been applied upstream
      + add 02userdirectory.dpatch to keep ~/.fvwm as user directory
        instead of ~/.fvwm-crystal which is the new upstream default; add a
        note about this in README.Debian
      + add manual pages for fvwm-crystal.mplayer-wrapper and
        fvwm-crystal.infoline, two new helpers
   * Adopt/hijack fvwm-crystal (Closes: #468644). Thanks to Michael for his
     previous work
   * Acknowledge previous NMUs (Closes: #383413, #375205, #399836)
   * debian/control:
      + update Standards-Version to 3.8.0
      + do not recommend xmms and xmms related utilities any more, add
        audacious instead (Closes: #474448, #468394)
      + depends on rxvt-unicode | x-terminal-emulator instead of a lot of
        terminals (Closes: #401822)
      + add Vcs-* and Homepage fields
   * debian/rules:
      + factor manual pages creation
      + move fvwm-crystal.generate-menu to examples
      + include /usr/share/dpatch/dpatch.make
      + remove bogus manual pages whose content is already present in
        /usr/share/doc
   * Remove empty /usr/sbin directory
   * Adjust section of doc-base files
   * Rewrite fvwm-crystal.menu-methods using a Python script to speed
     things up. We avoid a lot of shell invocations and we fix most bugs
     (Closes: #374311, #429855). Some menu entries may still fail because
     we don't invoke a shell while this is most of the time useless but
     this does not report an error. Moreover, we allow creation of icons as
     non root user (Closes: #386462)
   * Add debian/watch file
Checksums-Sha1: 
 657bd0028d2ccf96bb7266f21717492742fa1f9c 1282 fvwm-crystal_3.0.5.dfsg-1.dsc
 be5235036a09f966895aa8fa13ce5171e9ddfa04 3637104 fvwm-crystal_3.0.5.dfsg.orig.tar.gz
 0274c7170a12cbf015bb50ffac7805dc2e90b455 10226 fvwm-crystal_3.0.5.dfsg-1.diff.gz
 2e123ebb58769abc8dae0cf057088a393b53b8da 3888136 fvwm-crystal_3.0.5.dfsg-1_all.deb
Checksums-Sha256: 
 69cde7cf6287133b0a642f06ea02c2368886616040a324ce6470f6a31a65f230 1282 fvwm-crystal_3.0.5.dfsg-1.dsc
 6417d7472891a19c67ec91bce6cf0043a70f7708502666c0e6001788cfa7550b 3637104 fvwm-crystal_3.0.5.dfsg.orig.tar.gz
 380b8d8657a9e23904856de03e41f1e668e9959eb981238c222c63ce1ad3b8db 10226 fvwm-crystal_3.0.5.dfsg-1.diff.gz
 a43fbe91c1484c728b854f2327e9bd3b345f93d7851952e8c725125228b4dc9a 3888136 fvwm-crystal_3.0.5.dfsg-1_all.deb
Files: 
 de852584504d23c9945e04edd140ce68 1282 x11 optional fvwm-crystal_3.0.5.dfsg-1.dsc
 aaa71eec2a242f163bdaa6392166a276 3637104 x11 optional fvwm-crystal_3.0.5.dfsg.orig.tar.gz
 086047c3f68e0b5ca7f9b6be4d793f96 10226 x11 optional fvwm-crystal_3.0.5.dfsg-1.diff.gz
 6a522d6e088ef2a6e50532f5b18ca2b8 3888136 x11 optional fvwm-crystal_3.0.5.dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhdZCsACgkQKFvXofIqeU538QCgjSQyJjr03yMJ3nwB4VDBT6mD
aVoAn3w7Fo2A7WoUQ8kWDNLwMtkiE6fD
=g7Ub
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Jul 2008 07:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:56:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.